import { Space, Table, Button, Popconfirm,notification } from 'antd';
import React, { useState, useEffect, Modal } from 'react';
import styles from '../SchemeConfig.less'
import {
    GetAllConfig,
} from '@/services/webConfig/api';
import AddModal from './AddModal'
const TileData = props => {
    const [treeLoading, setTreeLoading] = useState(false);// 弹窗显示
    const [tileData, setTileData] = useState([]); // table表格数据
    const [visible, setVisible] = useState(false); // 弹窗
    const [type, setType] = useState('add'); // 弹窗类型
    const [formObj, setFormObj] = useState({});
    const columns = [
        {
            title: '服务名',
            dataIndex: 'servicename',
            key: 'servicename',
            align: 'center'
        },
        {
            title: '标签',
            dataIndex: 'label',
            key: 'label',
            align: 'center'
        },
        {
            title: '类型',
            dataIndex: 'type',
            key: 'type',
            align: 'center'
        },
        {
            title: '透明度',
            dataIndex: 'alpha',
            key: 'alpha',
            align: 'center'
        },
        {
            title: '编辑',
            align: 'center',
            render: (text, record) => (
                <Space>
                    <Button
                        type="primary"
                        size="small"
                        onClick={() => {
                            changebaseMap(record);
                        }}
                    >
                        编辑
                </Button>
                    <div onClick={e => e.stopPropagation()}>
                        <Popconfirm
                            title="是否删除该底图？"
                            okText="确认"
                            cancelText="取消"
                            onConfirm={() => {
                                delConfirm(record);
                            }}
                        >
                            <Button size="small" danger>
                                删除
                            </Button>
                        </Popconfirm>
                    </div>
                </Space>
            ),
        },

    ];
    const changebaseMap = (record) => {
        setType('edit');
        setFormObj(record);
        setVisible(true);
    }
    const onSubmit = prop => {

        setVisible(false);

    };
    const delConfirm = (record) => {
        console.log('record', record)
    }
    const handleAdd = ()=>{
        setType('add');
        setVisible(true);
    }
    useEffect(() => {
        renderTile();
    }, []);
    // 获取瓦片数据配置数据
    const renderTile = () => {
        setTreeLoading(true);
        GetAllConfig({
            terminalType: 'base',
            isBaseMap: true
        }).then(
            res => {
                if (res.Result && res.Result.length > 0) {
                    setTreeLoading(false);
                    setTileData(res.Result);
                } else {
                    setTreeLoading(false);
                    notification.error({
                        message: '获取失败',
                        description: res.message,
                    });
                }
            }
        )
    };

    return (
        <>
            <div className={styles.tileBtn}>
                <Button type="primary" onClick={() => {
                    handleAdd();
                }} >
                    新增
                </Button>
            </div>
            <Table
                columns={columns}
                dataSource={tileData}
                bordered
                rowKey="type"
                scroll={{ y: 400 }}
            >
            </Table>
            <AddModal
                visible={visible}
                onCancel={() => setVisible(false)}
                callBackSubmit={onSubmit}
                type={type}
                formObj={formObj}
            />
        </>
    )
}
export default TileData