import React, { useState, useEffect } from 'react';
import { Form, Modal, Input, Select, notification, Button } from 'antd';
import styles from '../SchemeConfig.less'

import {
  SetServiceConfig,
} from '@/services/webConfig/api';
import {
  addMySQLConnString,
  editMySQLConnString,
} from '@/services/database/api';
import { number } from 'prop-types';
const { Item } = Form;
const { Option } = Select;
const AddModal = props => {
  const { callBackSubmit = () => { }, type, formObj, visible } = props;
  const [loading, setLoading] = useState(false);
  const [mapType, setMapType] = useState(0);
  const [ImgIndex, setImgIndex] = useState('');
  const [form] = Form.useForm();
  // 提交
  const onSubmit = () => {
    form.validateFields().then(validate => {
      if (validate) {
        // setLoading(true);
        // let obj = form.getFieldsValue();
        // if (type === 'add') {
        //   addMySQLConnString({
        //     _version: 9999,
        //     _dc: Date.now(),
        //     ...obj,
        //   })
        //     .then(res => {
        //       setLoading(false);
        //       if (res.success) {
        //         form.resetFields();
        //         callBackSubmit();
        //         notification.success({
        //           message: '提示',
        //           duration: 3,
        //           description: res.message || '新增成功',
        //         });
        //       } else {
        //         notification.error({
        //           message: '提示',
        //           duration: 3,
        //           description: res.message || '新增失败',
        //         });
        //       }
        //     })
        //     .catch(err => {
        //       setLoading(false);
        //       console.error(err);
        //     });
        // } else if (type === 'edit') {
        //   handleEdit();
        // }
      }
    });
  };
  const handleEdit = () => {
    // SetServiceConfig({
    //   servicename: serviceName,
    //   terminalType: 'base',
    //   isBaseMap: true,
    //   jsonCfg: JSON.stringify(query)
    // })
    //   .then(res => {
    //     setLoading(false);
    //     if (res.success) {
    //       form.resetFields();
    //       callBackSubmit();
    //       notification.success({
    //         message: '提示',
    //         duration: 3,
    //         description: res.message || '编辑成功',
    //       });
    //     } else {
    //       notification.error({
    //         message: '提示',
    //         duration: 3,
    //         description: res.message || '编辑失败',
    //       });
    //     }
    //   })
    //   .catch(err => setLoading(false));
  };

  const onFinish = value => { };
  useEffect(() => {
    switch (type) {
      case 'add':
        form.resetFields();
        break;
      case 'edit':
        form.setFieldsValue({ ...formObj });

        break;
      default:
        break;
    }
  }, [visible]);


  const layout = {
    layout: 'horizontal',
    labelCol: {
      span: 4,
    },
    wrapperCol: {
      span: 16,
    },
  };

  const handleChange = () => { }
  return (
    <Modal
      title={`${type === 'add' ? '元数据发布' : '编辑'}`}
      bodyStyle={{ width: '100%', minHeight: '100px' }}
      style={{ top: '150px' }}
      width="700px"
      destroyOnClose
      maskClosable={false}
      cancelText="取消"
      okText="确认"
      {...props}
      onOk={() => onSubmit()}
      confirmLoading={loading}
      forceRender={true}
      getContainer={false}
    >
      {visible && (
        <Form form={form} {...layout} onFinish={onFinish}>
          <Item
            label="GIS服务器地址"
            name="servicename"
            rules={[{ required: true, message: '请选择服务名' }]}
          >
            <Input placeholder="请输入gis服务器地址" allowClear />
          </Item>
          <Item
            label="GIS服务器端口"
            name="port"
            rules={[{ required: true, message: '请输入GIS服务器端口' }]}
          >
            <Input placeholder="请输入GIS服务器端口" allowClear />
          </Item>

          <Item
            label="GIS服务器名"
            name="serviceName"
            rules={[{ required: true, message: '请输入GIS服务器名' }]}
          >
            <Select onChange={handleChange}>

            </Select>
          </Item>
          <Item
            label="用户名称"
            name="user"
            rules={[{ required: true, message: '请输入用户名称' }]}
          >
            <Input placeholder="请输入用户名称" allowClear />
          </Item>
          <Item
            label="用户密码"
            name="password"
            rules={[{ required: true, message: '请输入用户密码' }]}
          >
            <Input placeholder="请输入用户密码" allowClear />
          </Item>
          <Item
            label="工作空间名称"
            name="password"
            rules={[{ required: true, message: '请选择工作空间名称' }]}
          >
            <div className={styles.imgList}>
              <Select onChange={handleChange}>

              </Select>
              <Button style={{marginLeft:'0.5rem'}}>选择工作空间</Button>
            </div>
          </Item>
          <Item
            label="服务名称"
            name="name"
            rules={[{ required: true, message: '请输入服务名称' }]}
          >
            <Input placeholder="请输入服务名称" allowClear />
          </Item>
        </Form>
      )}
    </Modal>
  );
};
export default AddModal;
