import { Space, Table, Button, Popconfirm, notification } from 'antd';
import React, { useState, useEffect } from 'react';
import styles from '../SchemeConfig.less'
import {
    GetVectorService,
} from '@/services/webConfig/api';
import AddModal from './AddModal'
const VectorData = props => {
    const [treeLoading, setTreeLoading] = useState(false);// 弹窗显示
    const [tileData, setTileData] = useState([]); // table表格数据
    const [visible, setVisible] = useState(false); // 弹窗
    const [loading, setLoading] = useState([]); // 更新状态
    const [type, setType] = useState('add'); // 弹窗类型
    const [formObj, setFormObj] = useState({});
    const columns = [
        {
            title: '服务名',
            dataIndex: 'serviceName',
            key: 'serviceName',
            align: 'center'
        },
        {
            title: 'IP',
            dataIndex: 'GISServerIP',
            key: 'GISServerIP',
            align: 'center'
        },
        {
            title: '端口',
            dataIndex: 'GISServerPort',
            key: 'GISServerPort',
            align: 'center'
        },
        {
            title: '工程名',
            dataIndex: 'GISServerProjectName',
            key: 'GISServerProjectName',
            align: 'center'
        },
        {
            title: '发布时间',
            dataIndex: 'publishTime',
            key: 'publishTime',
            align: 'center'
        },
        {
            title: '编辑',
            align: 'center',
            render: (text, record, index) => (
                <Space>
                    <Button type="primary" size="small" loading={loading[index]} onClick={() => enterLoading(record, index)}>
                        更新
                  </Button>
                    <div onClick={e => e.stopPropagation()}>
                        <Popconfirm
                            title="是否删除该矢量数据？"
                            okText="确认"
                            cancelText="取消"
                            onConfirm={() => {
                                delConfirm(record);
                            }}
                        >
                            <Button size="small" danger>
                                删除
                            </Button>
                        </Popconfirm>
                    </div>
                </Space>
            ),
        },

    ];
    const enterLoading = (record, index) => {
        console.log(loading)
        const newLoadings = [...loading];
        newLoadings[index] = true
        setLoading(newLoadings)
        setTimeout(() => {
            console.log(12)
            const newLoadings = [...loading];
            newLoadings[index] = false
            setLoading(newLoadings)
        }, 1000);
    }
    const onSubmit = prop => {

        setVisible(false);

    };
    const delConfirm = (record) => {
        console.log('record', record)
    }
    const handleAdd = () => {
        setType('add');
        setVisible(true);
    }
    useEffect(() => {
        renderTile();
    }, []);
    // 获取瓦片数据配置数据
    const renderTile = () => {
        setTreeLoading(true);
        GetVectorService().then(
            res => {
                if (res && res.length > 0) {
                    let arr = []
                    res.map(item=>{
                        arr.push(false)
                    })
                    setLoading(arr)
                    setTreeLoading(false);
                    setTileData(res);
                } else {
                    setTreeLoading(false);
                    notification.error({
                        message: '获取失败',
                        description: res.message,
                    });
                }
            }
        )
    };



    return (
        <>
            <div className={styles.tileBtn}>
                <Button type="primary" onClick={() => {
                    handleAdd();
                }} >
                    新增
                </Button>
            </div>
            <Table
                columns={columns}
                dataSource={tileData}
                bordered
                rowKey="createTime"
                scroll={{ y: 400 }}
            >
            </Table>
            <AddModal
                visible={visible}
                onCancel={() => setVisible(false)}
                callBackSubmit={onSubmit}
                type={type}
                formObj={formObj}
            />
        </>
    )
}
export default VectorData